<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="55b6dcb3-e1c7-49bb-b74c-1a81e2a41cdf" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/class-wp-cbf-admin.php" beforeDir="false" afterPath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/class-wp-cbf-admin.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/partials/wp-cbf-admin-display.php" beforeDir="false" afterPath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/partials/wp-cbf-admin-display.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/wp-cbf.php" beforeDir="false" afterPath="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/wp-cbf.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="functions.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../themes/books/functions.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="114">
              <caret line="6" lean-forward="true" selection-start-line="2" selection-end-line="30" selection-end-column="67" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="post_types.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../mu-plugins/post_types.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3814">
              <caret line="206" column="19" selection-start-line="206" selection-start-column="19" selection-end-line="206" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="plugin.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/plugin.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="371" column="26" lean-forward="true" selection-start-line="371" selection-start-column="26" selection-end-line="371" selection-end-column="26" />
              <folding>
                <element signature="e#7#159#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="functions.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../themes/twentyseventeen/functions.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="177">
              <caret line="596" column="4" lean-forward="true" selection-start-line="596" selection-start-column="4" selection-end-line="608" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="README.md" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="442">
                <caret line="34" selection-start-line="34" selection-end-line="34" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="functions.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../themes/twentyfifteen/functions.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="447" column="11" lean-forward="true" selection-start-line="437" selection-end-line="457" selection-end-column="67" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="post_type.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../themes/books/mu-plugin/post_type.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1159">
              <caret line="2" selection-start-line="2" selection-end-line="137" selection-end-column="54" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="sample.php" pinned="false" current-in-tab="false">
        <entry file="file://$USER_HOME$/Downloads/sample.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-260" />
          </provider>
        </entry>
      </file>
      <file leaf-file-name="metabox.class.php" pinned="false" current-in-tab="false">
        <entry file="file://$USER_HOME$/Downloads/metabox.class.php">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="simple_html_dom.php" pinned="false" current-in-tab="false">
        <entry file="file://$USER_HOME$/Downloads/simple_html_dom.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1938" />
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>screen_option</find>
      <find>Author</find>
      <find>add_action_links</find>
      <find>add_plugin_admin_menu</find>
      <find>plugin_settings_page()</find>
    </findStrings>
    <replaceStrings>
      <replace>book</replace>
      <replace>Publisher</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/../../wp-config.php" />
        <option value="$PROJECT_DIR$/Navid/admin/partials/navid-admin-display.php" />
        <option value="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/class-wp-cbf-admin.php" />
        <option value="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/partials/wp-cbf-admin-display.php" />
        <option value="$PROJECT_DIR$/Navid/admin/class-navid-admin.php" />
        <option value="$PROJECT_DIR$/Navid/includes/class-navid.php" />
        <option value="$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/wp-cbf.php" />
        <option value="$PROJECT_DIR$/book/book.php" />
        <option value="$PROJECT_DIR$/../themes/twentyfifteen/functions.php" />
        <option value="$PROJECT_DIR$/../mu-plugins/all/all.php" />
        <option value="$PROJECT_DIR$/../themes/books/mu-plugin/post_type.php" />
        <option value="$PROJECT_DIR$/../themes/books/functions.php" />
        <option value="$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/README.md" />
        <option value="$PROJECT_DIR$/../themes/twentyseventeen/functions.php" />
        <option value="$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/plugin.php" />
        <option value="$PROJECT_DIR$/../mu-plugins/post_types.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-48" />
    <option name="y" value="56" />
    <option name="width" value="1346" />
    <option name="height" value="664" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="plugins" type="b2602c69:ProjectViewProjectNode" />
              <item name="plugins" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="plugins" type="b2602c69:ProjectViewProjectNode" />
              <item name="plugins" type="462c0819:PsiDirectoryNode" />
              <item name="book" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="plugins" type="b2602c69:ProjectViewProjectNode" />
              <item name="plugins" type="462c0819:PsiDirectoryNode" />
              <item name="WP_List_Table-Class-Plugin-Example-master" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../themes/books_theme" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\xampp\htdocs\wp\wp-content\plugins\Navid" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="55b6dcb3-e1c7-49bb-b74c-1a81e2a41cdf" name="Default" comment="" />
      <created>1537369569056</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1537369569056</updated>
      <workItem from="1537369570236" duration="47340000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="47340000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="11" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" weight="0.32744783" />
      <window_info anchor="bottom" id="Database Changes" order="1" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Version Control" order="4" />
      <window_info anchor="bottom" id="Terminal" order="3" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.1852123" />
      <window_info anchor="bottom" id="Docker" order="0" show_stripe_button="false" />
      <window_info anchor="right" id="Database" order="0" />
      <window_info anchor="bottom" id="Find" order="6" weight="0.32849365" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.4" />
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="1" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Inspection" order="10" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Cvs" order="9" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="5" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/LICENSE.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/index.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/admin/index.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../../wp-config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="838">
          <caret line="75" column="19" lean-forward="true" selection-start-line="75" selection-start-column="19" selection-end-line="75" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/admin/css/navid-admin.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="3" column="3" lean-forward="true" selection-start-line="3" selection-start-column="3" selection-end-line="3" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/css/wp-cbf-admin.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/class-wp-cbf-i18n.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-607" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/class-wp-cbf-loader.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/includes/class-navid-loader.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/index.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/class-wp-cbf-activator.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-75" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/index.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/public/class-wp-cbf-public.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1362" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/public/partials/wp-cbf-public-display.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
          <folding>
            <element signature="e#7#264#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/class-wp-cbf-deactivator.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/admin/class-navid-admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="305">
          <caret line="141" column="25" selection-start-line="141" selection-start-column="25" selection-end-line="141" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/includes/class-wp-cbf.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="342">
          <caret line="158" column="8" selection-start-line="158" selection-start-column="8" selection-end-line="158" selection-end-column="82" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/partials/wp-cbf-admin-display.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="237">
          <caret line="29" selection-start-line="29" selection-end-line="30" selection-end-column="18" />
          <folding>
            <element signature="e#7#259#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/book/book.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2394">
          <caret line="132" column="33" lean-forward="true" selection-start-line="132" selection-start-column="33" selection-end-line="132" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/LICENSE">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/navid.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="3" lean-forward="true" selection-start-line="2" selection-start-column="3" selection-end-line="2" selection-end-column="3" />
          <folding>
            <element signature="e#7#877#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../mu-plugins/all/all.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="20" selection-start-line="2" selection-start-column="20" selection-end-line="2" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/admin/partials/navid-admin-display.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="51" column="58" selection-start-line="51" selection-start-column="7" selection-end-line="51" selection-end-column="58" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/wp-cbf.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="305">
          <caret line="83" column="21" selection-start-line="83" selection-start-column="21" selection-end-line="83" selection-end-column="21" />
          <folding>
            <element signature="e#7#1016#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/how-to-build-a-wordpress-plugin-part-1/admin/class-wp-cbf-admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1824">
          <caret line="162" selection-start-line="162" selection-end-line="180" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Navid/includes/class-navid.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1754">
          <caret line="238" selection-start-line="238" selection-end-line="238" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Downloads/sample.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-260" />
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Downloads/metabox.class.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$USER_HOME$/Downloads/simple_html_dom.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1938" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../themes/twentyfifteen/functions.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="447" column="11" lean-forward="true" selection-start-line="437" selection-end-line="457" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../themes/books/functions.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" lean-forward="true" selection-start-line="2" selection-end-line="30" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../themes/books/mu-plugin/post_type.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1159">
          <caret line="2" selection-start-line="2" selection-end-line="137" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="442">
            <caret line="34" selection-start-line="34" selection-end-line="34" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../themes/twentyseventeen/functions.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="596" column="4" lean-forward="true" selection-start-line="596" selection-start-column="4" selection-end-line="608" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../mu-plugins/post_types.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3814">
          <caret line="206" column="19" selection-start-line="206" selection-start-column="19" selection-end-line="206" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WP_List_Table-Class-Plugin-Example-master/plugin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="371" column="26" lean-forward="true" selection-start-line="371" selection-start-column="26" selection-end-line="371" selection-end-column="26" />
          <folding>
            <element signature="e#7#159#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>